net.sourceforge.pmd.lang

## Interface LanguageVersionHandler

- All Known Implementing Classes:
    AbstractJavaHandler, AbstractLanguageVersionHandler, CppHandler, Ecmascript3Handler, Java13Handler, Java14Handler, Java15Handler, Java16Handler, Java17Handler, JspHandler, XmlHandler

      public interface LanguageVersionHandler

  Interface for obtaining the classes necessary for checking source files of a specific language.
  Author:
    pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VisitorStarter` | `getDataFlowFacade()` Get the DataFlowFacade.
    `DataFlowHandler` | `getDataFlowHandler()` Get the DataFlowHandler.
    `ParserOptions` | `getDefaultParserOptions()` Get the default ParserOptions.
    `VisitorStarter` | `getDumpFacade(Writer writer, String prefix, boolean recurse)` Get the DumpFacade.
    `Parser` | `getParser(ParserOptions parserOptions)` Get the Parser.
    `RuleViolationFactory` | `getRuleViolationFactory()` Get the RuleViolationFactory.
    `VisitorStarter` | `getSymbolFacade()` Get the SymbolFacade.
    `VisitorStarter` | `getTypeResolutionFacade(ClassLoader classLoader)` Get the TypeResolutionFacade.
    `XPathHandler` | `getXPathHandler()` Get the XPathHandler.

- - ### Method Detail

    - #### getDataFlowHandler

          DataFlowHandler getDataFlowHandler()

      Get the DataFlowHandler.

    - #### getXPathHandler

          XPathHandler getXPathHandler()

      Get the XPathHandler.

    - #### getRuleViolationFactory

          RuleViolationFactory getRuleViolationFactory()

      Get the RuleViolationFactory.

    - #### getDefaultParserOptions

          ParserOptions getDefaultParserOptions()

      Get the default ParserOptions.
      Returns:
        ParserOptions

    - #### getParser

          Parser getParser(ParserOptions parserOptions)

      Get the Parser.
      Returns:
        Parser

    - #### getDataFlowFacade

          VisitorStarter getDataFlowFacade()

      Get the DataFlowFacade.
      Returns:
        VisitorStarter

    - #### getSymbolFacade

          VisitorStarter getSymbolFacade()

      Get the SymbolFacade.
      Returns:
        VisitorStarter

    - #### getTypeResolutionFacade

          VisitorStarter getTypeResolutionFacade(ClassLoader classLoader)

      Get the TypeResolutionFacade.
      Parameters:
        `classLoader` - A ClassLoader to use for resolving Types.
      Returns:
        VisitorStarter

    - #### getDumpFacade

          VisitorStarter getDumpFacade(Writer writer,
                                     String prefix,
                                     boolean recurse)

      Get the DumpFacade.
      Parameters:
        `writer` - The writer to dump to.
      Returns:
        VisitorStarter

Copyright © 2002-2013 InfoEther. All Rights Reserved.